from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XRemoteContentProviderChangeNotifier(XInterface, Protocol):
    def addRemoteContentProviderChangeListener(self, Listener: XRemoteContentProviderChangeListener) -> None: ...
    def removeRemoteContentProviderChangeListener(self, Listener: XRemoteContentProviderChangeListener) -> None: ...
